Bug 1791651 - [RGW-NFS]:- Files created on NFS mount are not downloading with same size, truncating to zero when downloaded
Summary: [RGW-NFS]:- Files created on NFS mount are not downloading with same size, tr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 4.0
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: rc
: 4.0
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks: 1797817
TreeView+ depends on / blocked
 
Reported: 2020-01-16 10:24 UTC by rakesh
Modified: 2020-02-03 23:40 UTC (History)
9 users (show)

Fixed In Version: nfs-ganesha-2.8.3-1.el8cp, nfs-ganesha-2.8.3-1.el7cp, ceph-14.2.4-112.el8cp, ceph-14.2.4-43.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:48:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:48:59 UTC

Description rakesh 2020-01-16 10:24:44 UTC
Description of problem:

Mounted NFS-Ganesha with NFS v4 on a ceph-cluster.
Created directories and files on the mount point. 
when the file is download using s3cmd or boto3, the size of the downloaded file is always zero. 


Version-Release number of selected component (if applicable):

ceph version 14.2.4-108.el8cp (b726d39bdd916dafddbcf45915ef8eb21df6473d) nautilus (stable)

NFS-Ganesha-RGW: 
nfs-ganesha-rgw-2.8.2-2.el8cp.x86_64

OS: RHEL 8.1

Comment 15 rakesh 2020-01-23 07:01:35 UTC
Writes are working now on NFS Mount. 
verified on version: nfs-ganesha-rgw-2.8.3-1.el8cp.x86_64

Comment 17 errata-xmlrpc 2020-01-31 12:48:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.